## Settings file was created by plugin DynamicMaps v1.0.5
## Plugin GUID: com.mpstark.dynamicmaps

[1. General]

## If the map should replace the BSG default map screen, requires swapping away from modded map to refresh
# Setting type: Boolean
# Default value: true
Replace Map Screen = true

## Pressed while the map is open, centers the player
# Setting type: KeyboardShortcut
# Default value: Semicolon
Center on Player Hotkey = Semicolon

## Hotkey to move the map up
# Setting type: KeyboardShortcut
# Default value: UpArrow
Move Map Up Hotkey = UpArrow

## Hotkey to move the map down
# Setting type: KeyboardShortcut
# Default value: DownArrow
Move Map Down Hotkey = DownArrow

## Hotkey to move the map left
# Setting type: KeyboardShortcut
# Default value: LeftArrow
Move Map Left Hotkey = LeftArrow

## Hotkey to move the map right
# Setting type: KeyboardShortcut
# Default value: RightArrow
Move Map Right Hotkey = RightArrow

## How fast the map should move, units are map percent per second
# Setting type: Single
# Default value: 0.25
# Acceptable value range: From 0.05 to 2
Move Map Hotkey Speed = 0.25

## Hotkey to move the map level up (shift-scroll-up also does this in map screen)
# Setting type: KeyboardShortcut
# Default value: Period
Change Map Level Up Hotkey = Period

## Hotkey to move the map level down (shift-scroll-down also does this in map screen)
# Setting type: KeyboardShortcut
# Default value: Comma
Change Map Level Down Hotkey = Comma

## Hotkey to zoom the map in (scroll-up also does this in map screen)
# Setting type: KeyboardShortcut
# Default value: Equals
Zoom Map In Hotkey = Equals

## Hotkey to zoom the map out (scroll-down also does this in map screen)
# Setting type: KeyboardShortcut
# Default value: Minus
Zoom Map Out Hotkey = Minus

## How fast the map should zoom by hotkey
# Setting type: Single
# Default value: 2.5
# Acceptable value range: From 1 to 10
Zoom Map Hotkey Speed = 2.5

## Pressed while the map is open, dumps json MarkerDefs for extracts, loot, and switches into root of plugin folder
# Setting type: KeyboardShortcut
# Default value: D + LeftShift + LeftAlt
Dump Info Hotkey = D + LeftShift + LeftAlt

[2. Dynamic Markers]

## If the player marker should be shown in raid
# Setting type: Boolean
# Default value: true
Show Player Marker = true

## If friendly player markers should be shown in-raid
# Setting type: Boolean
# Default value: true
Show Friendly Player Markers = true

## If enemy player markers should be shown in-raid (generally for debug)
# Setting type: Boolean
# Default value: false
Show Enemy Player Markers = false

## If enemy scav markers should be shown in-raid (generally for debug)
# Setting type: Boolean
# Default value: false
Show Scav Markers = false

## If enemy boss markers should be shown in-raid
# Setting type: Boolean
# Default value: false
Show Boss Markers = false

## If locked door markers should be updated with status based on key acquisition
# Setting type: Boolean
# Default value: true
Show Locked Door Status = true

## If quests should be shown in raid
# Setting type: Boolean
# Default value: true
Show Quests In Raid = true

## If extracts should be shown in raid
# Setting type: Boolean
# Default value: true
Show Extracts In Raid = true

## If extracts should be colored according to their status in raid
# Setting type: Boolean
# Default value: true
Show Extracts Status In Raid = true

## If transits should be shown in raid
# Setting type: Boolean
# Default value: true
Show Transit Points In Raid = true

## If secret extracts should be shown in raid
# Setting type: Boolean
# Default value: true
Show Secret Extracts In Raid = true

## If the player's dropped backpacks (not anyone elses) should be shown in raid
# Setting type: Boolean
# Default value: true
Show Dropped Backpack In Raid = true

## Shows items that are in your wishlist on the map in raid
# Setting type: Boolean
# Default value: true
Show wish listed items In Raid = true

## If the BTR should be shown in raid
# Setting type: Boolean
# Default value: true
Show BTR In Raid = true

## If airdrops should be shown in raid when they land
# Setting type: Boolean
# Default value: true
Show Airdrops In Raid = true

## If hidden stashes should be shown in raid
# Setting type: Boolean
# Default value: true
Show Hidden Stashes In Raid = true

## If friendly corpses should be shown in raid
# Setting type: Boolean
# Default value: true
Show Friendly Corpses In Raid = true

## If corpses killed by the player should be shown in raid, killed bosses will be shown in another color
# Setting type: Boolean
# Default value: true
Show Player-killed Corpses In Raid = true

## If corpses killed by friendly players should be shown in raid, killed bosses will be shown in another color
# Setting type: Boolean
# Default value: true
Show Friendly-killed Corpses In Raid = true

## If boss corpses (other than ones killed by the player) should be shown in raid
# Setting type: Boolean
# Default value: false
Show Boss Corpses In Raid = false

## If corpses (other than friendly ones or ones killed by the player) should be shown in raid
# Setting type: Boolean
# Default value: false
Show Other Corpses In Raid = false

[3. Progression]

## Requires you to have a map in your inventory in order to view the map in raid.
# Setting type: Boolean
# Default value: false
Require a map in your inventory = false

## If intel level is at or above this value it will show PMCs
# Setting type: Int32
# Default value: 0
# Acceptable value range: From 0 to 3
Intel level required to show PMCs = 0

## If intel level is at or above this value it will show bosses
# Setting type: Int32
# Default value: 0
# Acceptable value range: From 0 to 3
Intel level required to show bosses = 0

## If intel level is at or above this value it will show scavs
# Setting type: Int32
# Default value: 0
# Acceptable value range: From 0 to 3
Intel level required to show scavs = 0

## If intel level is at or above this value it will show friendly PMCs
# Setting type: Int32
# Default value: 0
# Acceptable value range: From 0 to 3
Intel level required to show friendly PMCs = 0

## If intel level is at or above this value it will show corpses
# Setting type: Int32
# Default value: 0
# Acceptable value range: From 0 to 3
Intel level required to show corpses = 0

## If intel level is at or above this value it will show airdrops
# Setting type: Int32
# Default value: 0
# Acceptable value range: From 0 to 3
Intel level required to show airdrops = 0

## If intel level is at or above this value it will show wish listed loot items
# Setting type: Int32
# Default value: 0
# Acceptable value range: From 0 to 3
Intel level required to show wish listed loot items = 0

## If intel level is at or above this value it will show hidden stashes
# Setting type: Int32
# Default value: 0
# Acceptable value range: From 0 to 3
Intel level required to show hidden stashes = 0

[4. In-Raid]

## If the level should be automatically selected based on the players position in raid
# Setting type: Boolean
# Default value: true
Auto Select Level = true

## If the player marker should be centered when showing the map in raid (Conflicts with 'Remember Map Position')
# Setting type: Boolean
# Default value: false
Auto Center On Player Marker = false

## If the zoom level should be reset each time that the map is opened while in raid (Conflicts with 'Remember Map Position')
# Setting type: Boolean
# Default value: false
Reset Zoom On Center = false

## Should we remember the map position (Map position memory is only maintained for the current raid) (Conflicts with 'Auto Center On Player Marker' and 'Reset Zoom On Center')
# Setting type: Boolean
# Default value: true
Remember Map Position = true

## What zoom level should be used as while centering on the player (0 is fully zoomed out, and 1 is fully zoomed in)
# Setting type: Single
# Default value: 0.15
# Acceptable value range: From 0 to 1
Centering On Player Zoom Level = 0.15

## What zoom level should be used for the main map. (Tab view/Peek view) (0 is fully zoomed out, and 1 is fully zoomed in)
# Setting type: Single
# Default value: 0
# Acceptable value range: From 0 to 15
Main map zoom = 4.6846

## The keyboard shortcut to peek at the map
# Setting type: KeyboardShortcut
# Default value: M
Peek at Map Shortcut = M

## If the shortcut should be held to keep it open. If disabled, button toggles
# Setting type: Boolean
# Default value: true
Hold for Peek = true

## Enable the map transition animations (When disabled everything will snap)
# Setting type: Boolean
# Default value: true
Peek Transition enabled = true

[5. Mini-map]

## Enable the mini-map
# Setting type: Boolean
# Default value: true
Mini-map enabled = true

## What corner is the mini-map displayed in
# Setting type: EMiniMapPosition
# Default value: TopRight
# Acceptable values: TopRight, BottomRight, TopLeft, BottomLeft
Mini-map position = TopRight

## Horizontal size of the mini-map
# Setting type: Single
# Default value: 275
# Acceptable value range: From 0 to 850
Mini-map size horizontal = 280

## Vertical size of the mini-map
# Setting type: Single
# Default value: 275
# Acceptable value range: From 0 to 850
Mini-map size vertical = 180

## Horizontal Offset from the edge (These values update according to screen resolution, REQUIRES RESTART IF YOU CHANGED YOUR RESOLUTION)
# Setting type: Single
# Default value: 0
# Acceptable value range: From -480 to 1920
Mini-map offset horizontal = 0

## Vertical offset from the edge (These values update according to screen resolution, REQUIRES RESTART IF YOU CHANGED YOUR RESOLUTION)
# Setting type: Single
# Default value: 0
# Acceptable value range: From -270 to 1080
Mini-map offset vertical = 0

## Show or hide the mini-map
# Setting type: KeyboardShortcut
# Default value: End
Show or Hide the mini-map = End

## What zoom level should be used for the mini map. (0 is fully zoomed out, and 15 is fully zoomed in)
# Setting type: Single
# Default value: 5
# Acceptable value range: From 0 to 15
Mini map zoom = 0

## Zoom in on mini map key bind
# Setting type: KeyboardShortcut
# Default value: Keypad8
Zoom in key bind = Keypad8

## Zoom out on mini map key bind
# Setting type: KeyboardShortcut
# Default value: Keypad5
Zoom out key bind = Keypad5

[6. Marker Colors]

## Color of the marker
# Setting type: Color
# Default value: 00FF00FF
Your player marker color = 00FF00FF

## Color of the marker
# Setting type: Color
# Default value: FF0000FF
Bear marker color = FF0000FF

## Color of the marker
# Setting type: Color
# Default value: FFFF00FF
Usec marker color = FFFF00FF

## Color of the marker
# Setting type: Color
# Default value: FF7302FF
Scav marker color = FF7302FF

## Color of the marker
# Setting type: Color
# Default value: FF7302FF
Boss marker color = FF7302FF

## Color of the marker
# Setting type: Color
# Default value: FF4C02FF
Airdrop marker color = FF4C02FF

## Color of the marker
# Setting type: Color
# Default value: 00FF00FF
Backpack marker color = 00FF00FF

## Color of the marker
# Setting type: Color
# Default value: FACF02FF
Loot marker color = FACF02FF

## Color of the marker
# Setting type: Color
# Default value: FF0000FF
Killed corpse marker color = FF0000FF

## Color of the marker
# Setting type: Color
# Default value: FF00FFFF
Killed boss corpse marker color = FF00FFFF

## Color of the marker
# Setting type: Color
# Default value: FFFFFFFF
Killed by other corpse marker color = FFFFFFFF

## Color of the marker
# Setting type: Color
# Default value: 366329FF
BTR marker color = 366329FF

## Color of the marker
# Setting type: Color
# Default value: FFEB03FF
Extract default marker color = FFEB03FF

## Color of the marker
# Setting type: Color
# Default value: 00FF00FF
Extract open marker color = 00FF00FF

## Color of the marker
# Setting type: Color
# Default value: FF0000FF
Extract closed marker color = FF0000FF

## Color of the marker
# Setting type: Color
# Default value: FFEB03FF
Extract has requirements marker color = FFEB03FF

## Color of the marker
# Setting type: Color
# Default value: FF9E33FF
Transit point marker color = FF9E33FF

## Color of the marker
# Setting type: Color
# Default value: 1A9999FF
Secret exfil point marker color = 1A9999FF

## Color of the marker
# Setting type: Color
# Default value: FFEB03FF
Hidden stash marker color = FFEB03FF

[7. External Mod Support]

## If the heli crash site should be marked in raid
# Setting type: Boolean
# Default value: true
Show Heli Crash Marker = true

